Bug Hunting Session
Bug 108556 - Start center welcome text should respect window width
Summary: Start center welcome text should respect window width
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.1.6.2 release
Hardware: All All
: lowest trivial
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Start-Center
  Show dependency treegraph
 
Reported: 2017-06-15 23:22 UTC by Thomas Lendo
Modified: 2018-04-29 21:06 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
German Start Center screen with small window width (Ubuntu) (72.66 KB, image/png)
2017-06-15 23:22 UTC, Thomas Lendo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2017-06-15 23:22:26 UTC
Created attachment 134052 [details]
German Start Center screen with small window width (Ubuntu)

The Start Center welcome text "Drop a document here or pick an app from the left side to create one." doesn't respect the window width. If the window is smaller than the text width, then the text will be truncated on the left and on the right.

This is especially a problem for languages with longer texts than English, e.g. German.

Expected result:
The text should be automatically wrapped to a new line when the window shrinks.

In bug 73605 this was once already fixed in the 4-series of LibO.
I don't know when the new bug was introduced. Bug also exists in 5.1.6.2.

Version: 5.4.0.0.beta2+
Build ID: 81e7ef8d3941de527f21c1508389c9e09518680b
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:libreoffice-5-4, Time: 2017-06-08_04:31:09
Locale: de-DE (de_DE.UTF-8); Calc: group
Comment 1 Buovjaga 2017-06-16 07:48:20 UTC
Confirmed.

Win 7 Pro 64-bit Version: 6.0.0.0.alpha0+ (x64)
Build ID: a1ace08b5b86a76e7275dcef2545a7d52ae2ed2d
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-06-13_03:04:47
Locale: fi-FI (fi_FI); Calc: CL
Comment 2 Heiko Tietze 2018-04-15 10:05:27 UTC
Patch in https://gerrit.libreoffice.org/#/c/52906/ adds wordbreak depending on window size to the second line. The first line "Welcome to LibreOffice" will not break.
Comment 3 Commit Notification 2018-04-15 16:53:25 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=04ee7404f3d00d6748324b6f60736a9326920b64

tdf#108556 - Start center welcome text should respect window width

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Thomas Lendo 2018-04-29 21:06:36 UTC
Thanks, Heiko!

Verified with Version: 6.1.0.0.alpha0+
Build-ID: 930a3cbaeeaf6bca594f8651c4d5dffc1e5391d4
CPU-Threads: 4; BS: Linux 4.13; UI-Render: Standard; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-04-24_01:14:35
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group